'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.globalCSS = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  @import url("https://use.typekit.net/yqf3dfe.css");\n  @import url("https://cloud.typography.com/7455036/7907792/css/fonts.css");\n  @import url("https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.6.0/slick.min.css");\n  @import url("https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.6.0/slick-theme.min.css");\n  @import url("https://unpkg.com/react-select@1.2.1/dist/react-select.css");\n  ', '\n  .slick-dots li {\n    margin: 0;\n  }\n  .slick-dots li button:focus:before {\n    opacity: 0.25;\n  }\n  .slick-dots li.slick-active button:before {\n    opacity: 0.75;\n  }\n\n  .kc h2 {\n    color: #202020;\n    font-family: "Gotham SSm A", "Gotham SSm B", Helvetica, Arial, sans-serif;\n    font-weight: normal;\n    line-height: 1.75;\n\n    &:first-child {\n      margin-top: 0;\n    }\n  }\n\n  .kc h3 {\n    font-family: "Gotham SSm A", "Gotham SSm B", Helvetica, Arial, sans-serif;\n    font-weight: normal;\n    line-height: 1.75;\n  }\n\n  .kc a,\n  .kc ul li,\n  .kc p {\n    font-family: "Gotham SSm A", "Gotham SSm B", Helvetica, Arial, sans-serif;\n    font-weight: extraLight;\n    line-height: 1.75;\n  }\n\n  .kc a {\n    text-decoration: none;\n    color: #176DB6;\n  }\n\n  .kc ul li {\n    margin-left: 0 !important;\n  }\n'], ['\n  @import url("https://use.typekit.net/yqf3dfe.css");\n  @import url("https://cloud.typography.com/7455036/7907792/css/fonts.css");\n  @import url("https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.6.0/slick.min.css");\n  @import url("https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.6.0/slick-theme.min.css");\n  @import url("https://unpkg.com/react-select@1.2.1/dist/react-select.css");\n  ', '\n  .slick-dots li {\n    margin: 0;\n  }\n  .slick-dots li button:focus:before {\n    opacity: 0.25;\n  }\n  .slick-dots li.slick-active button:before {\n    opacity: 0.75;\n  }\n\n  .kc h2 {\n    color: #202020;\n    font-family: "Gotham SSm A", "Gotham SSm B", Helvetica, Arial, sans-serif;\n    font-weight: normal;\n    line-height: 1.75;\n\n    &:first-child {\n      margin-top: 0;\n    }\n  }\n\n  .kc h3 {\n    font-family: "Gotham SSm A", "Gotham SSm B", Helvetica, Arial, sans-serif;\n    font-weight: normal;\n    line-height: 1.75;\n  }\n\n  .kc a,\n  .kc ul li,\n  .kc p {\n    font-family: "Gotham SSm A", "Gotham SSm B", Helvetica, Arial, sans-serif;\n    font-weight: extraLight;\n    line-height: 1.75;\n  }\n\n  .kc a {\n    text-decoration: none;\n    color: #176DB6;\n  }\n\n  .kc ul li {\n    margin-left: 0 !important;\n  }\n']);

var _styledComponents = require('styled-components');

var _styledNormalize = require('styled-normalize');

var _styledNormalize2 = _interopRequireDefault(_styledNormalize);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

// global css; only add to this if there are no other options
// Note regarding `.slick-dots` stuff:
//   margin was done for design to pull dots together more than default CSS
//   li button stuff avoids bug with default `:focus` looking continually active
//
// Note regarding h2 and below:
//   This is styling for html that comes over from Drupal for KC
var globalCSS = exports.globalCSS = (0, _styledComponents.injectGlobal)(_templateObject, _styledNormalize2.default);

var colors = {
  orange: '#E9573E',
  white: '#FFFFFF',
  black: '#202020',
  // TODO: Post merging all projects into 1 repository,
  // do a grep and replace all gray.X that have been
  // deprecated
  gray: Object.values({
    0: '#F8F8F8',
    1: '#F2F2F2',
    2: 'pink', // #808285 deprecated
    3: 'pink', // #434A54 deprecated
    4: 'pink', // #414042 deprecated
    5: 'pink', // #A7A9AC deprecated
    6: 'pink', // #E6E7E8 deprecated
    7: '#777777',
    8: '#202020',
    9: '#171717',
    10: '#9b9b9b',
    11: 'pink', //  #bebebe deprecated
    12: '#ededed'
  }),
  blue: Object.values({
    0: '#176DB6', // #4B89DC deprecated
    1: '#176DB6',
    2: '#A4C2D5'
  }),
  transparent: 'transparent'
};

var fontSizes = [];

var breakpoints = Object.values({
  0: '40em', // 640px
  1: '52em', // 832px
  2: '64em', // 1024px
  3: '120em' // 1920px
});

var space = [0, 1, 2, 3, 4, 5];

var fontWeights = {
  extraLight: 200,
  light: 300,
  book: 400,
  medium: 500,
  bold: 700
};

var borders = [0, '1px solid'];

var letterSpacings = {
  normal: 'normal',
  large: '0.1em',
  xlarge: '0.2em'
};

var radii = Object.values({
  0: 0,
  1: 2,
  2: 4,
  3: 8
});

var lineHeights = Object.values({
  0: 1,
  1: 1.125,
  2: 1.25,
  3: 1.5
});

var fontFamily = {
  serif: 'mrs-eaves-xl-serif-narrow, serif',
  sansSerif: '"Gotham SSm A", "Gotham SSm B", Helvetica, Arial, sans-serif'
};

var Theme = {
  colors: colors,
  fontSizes: fontSizes,
  breakpoints: breakpoints,
  space: space,
  fontWeights: fontWeights,
  borders: borders,
  letterSpacings: letterSpacings,
  radii: radii,
  lineHeights: lineHeights,
  fontFamily: fontFamily
};

exports.default = Theme;