'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

var _style = require('../helpers/style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AnimationContainer = function (_React$Component) {
  _inherits(AnimationContainer, _React$Component);

  function AnimationContainer(props) {
    _classCallCheck(this, AnimationContainer);

    var _this = _possibleConstructorReturn(this, (AnimationContainer.__proto__ || Object.getPrototypeOf(AnimationContainer)).call(this, props));

    _this.state = {};
    _this.setAnimationLifeCycle = _this.setAnimationLifeCycle.bind(_this);
    return _this;
  }

  _createClass(AnimationContainer, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.setAnimationLifeCycle(this.animation);
    }
  }, {
    key: 'setAnimationLifeCycle',
    value: function setAnimationLifeCycle(ref) {
      if (ref) {
        var _props = this.props,
            onStart = _props.onStart,
            onEnd = _props.onEnd;


        ref.addEventListener((0, _style.whichStartEvent)(), onStart);
        ref.addEventListener((0, _style.whichEndEvent)(), onEnd);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props2 = this.props,
          children = _props2.children,
          name = _props2.name,
          duration = _props2.duration,
          timing = _props2.timing,
          fillMode = _props2.fillMode,
          delay = _props2.delay,
          noAnimate = _props2.noAnimate;


      if (noAnimate) {
        return _react2.default.createElement(
          _react2.default.Fragment,
          null,
          children
        );
      }

      var animationProps = {
        name: name,
        duration: duration,
        timing: timing,
        fillMode: fillMode,
        delay: delay
      };

      return _react2.default.createElement(
        _.Animation,
        _extends({
          innerRef: function innerRef(animation) {
            _this2.animation = animation;
          }
        }, animationProps),
        children
      );
    }
  }]);

  return AnimationContainer;
}(_react2.default.Component);

AnimationContainer.propTypes = {
  children: _propTypes2.default.any,
  name: _propTypes2.default.string,
  duration: _propTypes2.default.string,
  timing: _propTypes2.default.string,
  fillMode: _propTypes2.default.string,
  delay: _propTypes2.default.string,
  onStart: _propTypes2.default.func,
  onEnd: _propTypes2.default.func,
  noAnimate: _propTypes2.default.bool
};

exports.default = AnimationContainer;