'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.types = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var types = exports.types = {
  B1: {
    fontSize: [13, 13, 14, 14, 18],
    fontFamily: 'sansSerif',
    fontWeight: 'extraLight',
    textTransform: 'none',
    fontStyle: 'normal',
    letterSpacing: 'normal',
    lineHeight: 1.75
  },
  B2: {
    fontSize: [12, 12, 12, 12, 14],
    fontFamily: 'sansSerif',
    fontWeight: 'extraLight',
    textTransform: 'none',
    fontStyle: 'italic',
    letterSpacing: 'normal',
    lineHeight: 1.75
  },
  B3: {
    fontSize: [10, 10, 12, 12, 15],
    fontFamily: 'sansSerif',
    fontWeight: 'normal',
    textTransform: 'none',
    fontStyle: 'normal',
    letterSpacing: 'normal',
    lineHeight: 1.75
  },
  B4: {
    fontSize: [20, 20, 26, 26, 30],
    fontFamily: 'serif',
    fontWeight: 'normal',
    textTransform: 'none',
    fontStyle: 'normal',
    letterSpacing: 'normal',
    lineHeight: 1.5
  },
  B5: {
    fontSize: [10, 10, 12, 12, 14],
    fontFamily: 'sansSerif',
    fontWeight: 'normal',
    textTransform: 'none',
    fontStyle: 'normal',
    letterSpacing: 'normal',
    lineHeight: 1.5
  }
};

var Body = function Body(props) {
  var children = props.children,
      type = props.type,
      passedProps = _objectWithoutProperties(props, ['children', 'type']);

  return _react2.default.createElement(
    _.Text,
    _extends({
      fontSize: types[type].fontSize,
      fontFamily: types[type].fontFamily,
      fontWeight: types[type].fontWeight,
      textTransform: types[type].textTransform,
      fontStyle: types[type].fontStyle,
      letterSpacing: types[type].letterSpacing,
      lineHeight: types[type].lineHeight
    }, passedProps),
    children
  );
};

Body.propTypes = {
  children: _propTypes2.default.any,
  type: _propTypes2.default.oneOf(['B1', 'B2', 'B3', 'B4', 'B5']).isRequired
};

Body.defaultProps = {
  color: 'black' // NOTE: Not "true black" (#000000), Will use Theme's black[-ish].
};

exports.default = Body;