'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactSlick = require('react-slick');

var _reactSlick2 = _interopRequireDefault(_reactSlick);

var _ = require('../');

var _carouselArrowLargeLeft = require('../assets/carousel-arrow-large-left.svg');

var _carouselArrowLargeLeft2 = _interopRequireDefault(_carouselArrowLargeLeft);

var _carouselArrowLargeRight = require('../assets/carousel-arrow-large-right.svg');

var _carouselArrowLargeRight2 = _interopRequireDefault(_carouselArrowLargeRight);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CarouselLarge = function (_React$Component) {
  _inherits(CarouselLarge, _React$Component);

  function CarouselLarge(props) {
    _classCallCheck(this, CarouselLarge);

    var _this = _possibleConstructorReturn(this, (CarouselLarge.__proto__ || Object.getPrototypeOf(CarouselLarge)).call(this, props));

    _this.next = _this.next.bind(_this);
    _this.previous = _this.previous.bind(_this);
    return _this;
  }

  _createClass(CarouselLarge, [{
    key: 'next',
    value: function next() {
      this.slider.slickNext();
    }
  }, {
    key: 'previous',
    value: function previous() {
      this.slider.slickPrev();
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var children = this.props.children;


      var settings = {
        dots: true,
        infinite: true,
        fade: true,
        speed: 500,
        slidesToShow: 1,
        slidesToScroll: 1,
        arrows: false
      };

      return _react2.default.createElement(
        _.ExtendedBox,
        { position: 'relative' },
        _react2.default.createElement(
          _reactSlick2.default,
          _extends({ ref: function ref(c) {
              return _this2.slider = c;
            } }, settings),
          children
        ),
        _react2.default.createElement(
          _.Button,
          {
            onClick: this.previous,
            position: 'absolute',
            top: '0',
            left: '0',
            pl: [5, 40, 5, 15, 50],
            zIndex: '2',
            height: '100%',
            bg: 'transparent',
            border: 'none' // Prevents browser defaulting styles on to button.
            , outline: 'none' // Prevents browser defaulting styles on to button.
          },
          _react2.default.createElement(_.Image, {
            src: _carouselArrowLargeLeft2.default,
            width: [15, 20, 15, 20, 30],
            hover: true,
            dimOnButtonParentHover: true,
            transition: 'all 0.4s cubic-bezier(.25, .46, .45, .94)'
          })
        ),
        _react2.default.createElement(
          _.Button,
          {
            onClick: this.next,
            position: 'absolute',
            top: '0',
            right: '0',
            pr: [5, 40, 5, 15, 50],
            zIndex: '2',
            height: '100%',
            bg: 'transparent',
            border: 'none' // Prevents browser defaulting styles on to button.
            , outline: 'none' // Prevents browser defaulting styles on to button.
          },
          _react2.default.createElement(_.Image, {
            src: _carouselArrowLargeRight2.default,
            width: [15, 20, 15, 20, 30],
            hover: true,
            dimOnButtonParentHover: true,
            transition: 'all 0.4s cubic-bezier(.25, .46, .45, .94)'
          })
        )
      );
    }
  }]);

  return CarouselLarge;
}(_react2.default.Component);

CarouselLarge.propTypes = {
  children: _propTypes2.default.any
};

exports.default = CarouselLarge;