'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactSlick = require('react-slick');

var _reactSlick2 = _interopRequireDefault(_reactSlick);

var _ = require('../');

var _carouselArrowSmallLeft = require('../assets/carousel-arrow-small-left.svg');

var _carouselArrowSmallLeft2 = _interopRequireDefault(_carouselArrowSmallLeft);

var _carouselArrowSmallRight = require('../assets/carousel-arrow-small-right.svg');

var _carouselArrowSmallRight2 = _interopRequireDefault(_carouselArrowSmallRight);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CarouselRecentInvestments = function (_React$Component) {
  _inherits(CarouselRecentInvestments, _React$Component);

  function CarouselRecentInvestments(props) {
    _classCallCheck(this, CarouselRecentInvestments);

    var _this = _possibleConstructorReturn(this, (CarouselRecentInvestments.__proto__ || Object.getPrototypeOf(CarouselRecentInvestments)).call(this, props));

    _this.next = _this.next.bind(_this);
    _this.previous = _this.previous.bind(_this);
    _this.pauseCarousel = _this.pauseCarousel.bind(_this);

    _this.state = { // Carousel settings change on click, so lives in state
      settings: {
        dots: false,
        infinite: true,
        speed: 1000,
        variableWidth: true, // This displays as much as there is space for.
        slidesToScroll: 1,
        arrows: false,
        autoplay: true,
        autoplaySpeed: 6000,
        pauseOnHover: false,
        onSwipe: _this.pauseCarousel // Any form of navigation should pause, not just arrows
      }
    };
    return _this;
  }

  _createClass(CarouselRecentInvestments, [{
    key: 'pauseCarousel',
    value: function pauseCarousel() {
      this.setState(_extends({}, this.state, {
        settings: _extends({}, this.state.settings, {
          autoplay: false
        })
      }));
    }
  }, {
    key: 'next',
    value: function next() {
      this.slider.slickNext();
      this.pauseCarousel();
    }
  }, {
    key: 'previous',
    value: function previous() {
      this.slider.slickPrev();
      this.pauseCarousel();
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var children = this.props.children;


      return _react2.default.createElement(
        _.ExtendedBox,
        { position: 'relative' },
        _react2.default.createElement(
          _reactSlick2.default,
          _extends({ ref: function ref(c) {
              return _this2.slider = c;
            } }, this.state.settings),
          children
        ),
        _react2.default.createElement(
          _.Button,
          {
            onClick: this.previous,
            position: 'absolute',
            bottom: '-50px',
            left: '50%',
            zIndex: '2',
            ml: [-35, -40, -35, -40, -50] // Accounts for width at various breakpoints
            , bg: 'transparent',
            border: 'none' // Prevents browser defaulting styles on to button.
            , outline: 'none' // Prevents browser defaulting styles on to button.
          },
          _react2.default.createElement(_.Image, {
            src: _carouselArrowSmallLeft2.default,
            width: [15, 20, 15, 20, 25],
            height: [15, 20, 15, 20, 25],
            hover: true,
            dimOnButtonParentHover: true,
            transition: 'all 0.4s cubic-bezier(.25, .46, .45, .94)'
          })
        ),
        _react2.default.createElement(
          _.Button,
          {
            onClick: this.next,
            position: 'absolute',
            bottom: '-50px',
            left: '50%',
            zIndex: '2',
            ml: 20,
            bg: 'transparent',
            border: 'none' // Prevents browser defaulting styles on to button.
            , outline: 'none' // Prevents browser defaulting styles on to button.
          },
          _react2.default.createElement(_.Image, {
            src: _carouselArrowSmallRight2.default,
            width: [15, 20, 15, 20, 25],
            height: [15, 20, 15, 20, 25],
            hover: true,
            dimOnButtonParentHover: true,
            transition: 'all 0.4s cubic-bezier(.25, .46, .45, .94)'
          })
        )
      );
    }
  }]);

  return CarouselRecentInvestments;
}(_react2.default.Component);

CarouselRecentInvestments.propTypes = {
  children: _propTypes2.default.any
};

exports.default = CarouselRecentInvestments;