'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

var _logo_stacked_black = require('../assets/logo_stacked_black.svg');

var _logo_stacked_black2 = _interopRequireDefault(_logo_stacked_black);

var _logo_stacked_white = require('../assets/logo_stacked_white.svg');

var _logo_stacked_white2 = _interopRequireDefault(_logo_stacked_white);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ClickableLogo = function (_React$Component) {
  _inherits(ClickableLogo, _React$Component);

  function ClickableLogo(props) {
    _classCallCheck(this, ClickableLogo);

    var _this = _possibleConstructorReturn(this, (ClickableLogo.__proto__ || Object.getPrototypeOf(ClickableLogo)).call(this, props));

    _this.state = {
      logoOpacity: '1'
    };

    _this.updateLogoOpacity = _this.updateLogoOpacity.bind(_this);
    return _this;
  }

  _createClass(ClickableLogo, [{
    key: 'updateLogoOpacity',
    value: function updateLogoOpacity() {
      var logoOpacity = this.state.logoOpacity === '1' ? '0.5' : '1';
      this.setState({
        logoOpacity: logoOpacity
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          logoColor = _props.logoColor,
          w = _props.w,
          passedProps = _objectWithoutProperties(_props, ['logoColor', 'w']);

      var logoOpacity = this.state.logoOpacity;


      var bgImage = logoColor === 'white' ? _logo_stacked_white2.default : _logo_stacked_black2.default;

      return _react2.default.createElement(
        _.ExtendedFlex,
        {
          w: w,
          align: 'center',
          justify: 'center',
          height: 70,
          display: 'flex'
        },
        _react2.default.createElement(
          _.NavLink,
          {
            type: 'L5',
            minWidth: ['20%', '20%', '20%'],
            maxWidth: [186, 186, 'none'],
            to: '/',
            onMouseEnter: this.updateLogoOpacity,
            onMouseLeave: this.updateLogoOpacity,
            withActiveStyle: false
          },
          _react2.default.createElement(_.Image, _extends({
            src: bgImage,
            opacity: logoOpacity,
            transition: 'opacity 0.2s linear',
            w: 130,
            height: [50, 50, 60, 70],
            hover: true
          }, passedProps))
        )
      );
    }
  }]);

  return ClickableLogo;
}(_react2.default.Component);

ClickableLogo.defaultProps = {
  logoColor: 'black',
  w: [1, 1, 1, 'auto']
};

ClickableLogo.propTypes = {
  logoColor: _propTypes2.default.string,
  w: _propTypes2.default.array
};

exports.default = ClickableLogo;