'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.types = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var types = exports.types = {
  D1: {
    fontSize: [8, 8, 8, 9, 10],
    fontFamily: 'sansSerif',
    fontWeight: 500,
    textTransform: 'uppercase',
    letterSpacing: '0.150em',
    lineHeight: 2.1
  },
  D2: {
    fontSize: [9, 9, 13, 13, 15],
    fontFamily: 'sansSerif',
    fontWeight: 700,
    textTransform: 'none',
    letterSpacing: 'normal',
    lineHeight: 2.1
  },
  D3: {
    fontSize: [10, 10, 12, 12, 15],
    fontFamily: 'sansSerif',
    fontWeight: 'normal',
    textTransform: 'none',
    letterSpacing: 'normal',
    lineHeight: 'normal'
  },
  D4: {
    fontSize: [10, 10, 10, 10, 12],
    fontFamily: 'sansSerif',
    fontWeight: 500,
    textTransform: 'uppercase',
    letterSpacing: 2,
    lineHeight: 1.5
  },
  D5: {
    fontSize: [11, 11, 12, 13, 16],
    fontFamily: 'sansSerif',
    fontWeight: 700,
    textTransform: 'none',
    letterSpacing: 'normal',
    lineHeight: 2.1
  },
  D6: {
    fontSize: [16, 16, 20, 20, 24],
    fontFamily: 'sansSerif',
    fontWeight: 700,
    textTransform: 'none',
    letterSpacing: 'normal',
    lineHeight: 'normal'
  },
  D7: {
    fontSize: [60, 60, 60, 60, 60],
    fontFamily: 'sansSerif',
    fontWeight: 500,
    textTransform: 'none',
    letterSpacing: 'normal',
    lineHeight: 'normal'
  },
  D8: {
    fontSize: [72, 72, 72, 72, 72],
    fontFamily: 'sansSerif',
    fontWeight: 700,
    textTransform: 'none',
    letterSpacing: 'normal',
    lineHeight: 'normal'
  }
};

var Data = function Data(props) {
  var children = props.children,
      type = props.type,
      passedProps = _objectWithoutProperties(props, ['children', 'type']);

  return _react2.default.createElement(
    _.Text,
    _extends({
      fontSize: types[type].fontSize,
      fontFamily: types[type].fontFamily,
      fontWeight: types[type].fontWeight,
      textTransform: types[type].textTransform,
      letterSpacing: types[type].letterSpacing,
      lineHeight: types[type].lineHeight
    }, passedProps),
    children
  );
};

Data.propTypes = {
  children: _propTypes2.default.any,
  type: _propTypes2.default.oneOf(['D1', 'D2', 'D3', 'D4', 'D5', 'D6']).isRequired
};

Data.defaultProps = {
  color: 'black' // NOTE: Not "trueblack" (#000000), Will use Theme's black[-ish].
};

exports.default = Data;