'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactHamburgerMenu = require('react-hamburger-menu');

var _reactHamburgerMenu2 = _interopRequireDefault(_reactHamburgerMenu);

var _ = require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var HeaderHamburger = function HeaderHamburger(props) {
  var mobileMenuVisible = props.mobileMenuVisible,
      visibility = props.visibility,
      handleClick = props.handleClick,
      passedProps = _objectWithoutProperties(props, ['mobileMenuVisible', 'visibility', 'handleClick']);

  return _react2.default.createElement(
    _.ExtendedBox,
    _extends({
      w: 20,
      height: 20,
      display: mobileMenuVisible ? 'block' : 'hidden',
      visibility: visibility,
      position: mobileMenuVisible ? 'fixed' : 'absolute',
      top: 25,
      left: 25,
      zIndex: '9999',
      transition: 'visibility 0s linear'
    }, passedProps),
    _react2.default.createElement(_reactHamburgerMenu2.default, {
      isOpen: mobileMenuVisible,
      menuClicked: handleClick,
      width: 20,
      animationDuration: 0.6,
      height: 20,
      color: mobileMenuVisible ? 'white' : '#414042'
    })
  );
};

HeaderHamburger.propTypes = {
  mobileMenuVisible: _propTypes2.default.bool,
  handleClick: _propTypes2.default.func,
  visibility: _propTypes2.default.string
};

HeaderHamburger.defaultProps = {
  visibility: 'visible'
};

exports.default = HeaderHamburger;