'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.types = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var types = exports.types = {
  H1: {
    fontSize: [60, 60, 110, 130, 170],
    fontFamily: 'serif',
    fontWeight: 'normal',
    textTransform: 'uppercase',
    letterSpacing: '-0.029em'
  },
  H2: {
    fontSize: [28, 36, 36, 42, 52],
    fontFamily: 'serif',
    fontWeight: 'normal',
    textTransform: 'uppercase',
    letterSpacing: '0.036em'
  },
  H3: {
    fontSize: [28, 36, 28, 28, 36], // xs, and s always match H2
    fontFamily: 'serif',
    fontWeight: 'normal',
    textTransform: 'uppercase',
    letterSpacing: '0.07em'
  },
  H4: {
    fontSize: [14, 14, 14, 16, 22],
    fontFamily: 'sansSerif',
    fontWeight: '500',
    textTransform: 'none',
    letterSpacing: 'normal',
    lineHeight: '0.075em'
  },
  H5: {
    fontSize: [18, 18, 20, 20, 28],
    fontFamily: 'sansSerif',
    fontWeight: 'normal',
    textTransform: 'none',
    letterSpacing: 'normal'
  },
  H6: {
    fontSize: [14, 14, 16, 18, 24],
    fontFamily: 'sansSerif',
    fontWeight: 'normal',
    textTransform: 'none',
    letterSpacing: 'normal',
    lineHeight: '1.5'
  },
  H7: {
    fontSize: [12, 12, 14, 14, 20],
    fontFamily: 'sansSerif',
    fontWeight: 'extraLight',
    textTransform: 'uppercase',
    letterSpacing: 'normal',
    lineHeight: '1.8'
  },
  H8: {
    fontSize: [10, 10, 10, 12, 16],
    fontFamily: 'sansSerif',
    fontWeight: '500',
    textTransform: 'uppercase',
    letterSpacing: '0.150em'
  },
  H9: {
    fontSize: [22, 22, 26, 32, 42],
    fontFamily: 'serif',
    fontWeight: 'normal',
    textTransform: 'uppercase',
    letterSpacing: '0.131em'
  }
};

var Heading = function Heading(props) {
  var children = props.children,
      type = props.type,
      passedProps = _objectWithoutProperties(props, ['children', 'type']);

  return _react2.default.createElement(
    _.Text,
    _extends({
      fontSize: types[type].fontSize,
      fontFamily: types[type].fontFamily,
      fontWeight: types[type].fontWeight,
      textTransform: types[type].textTransform,
      letterSpacing: types[type].letterSpacing,
      lineHeight: types[type].lineHeight
    }, passedProps),
    children
  );
};

Heading.propTypes = {
  children: _propTypes2.default.any,
  type: _propTypes2.default.oneOf(['H1', 'H2', 'H3', 'H4', 'H5', 'H6', 'H7', 'H8', 'H9']).isRequired
};

Heading.defaultProps = {
  color: 'black' // NOTE: Not "true black" (#000000), Will use Theme's black[-ish].
};

exports.default = Heading;