'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Hero = function (_React$Component) {
  _inherits(Hero, _React$Component);

  function Hero(props) {
    _classCallCheck(this, Hero);

    var _this = _possibleConstructorReturn(this, (Hero.__proto__ || Object.getPrototypeOf(Hero)).call(this, props));

    _this.state = {
      isVisible: false
    };
    _this.handleSensorChange = _this.handleSensorChange.bind(_this);
    return _this;
  }

  _createClass(Hero, [{
    key: 'handleSensorChange',
    value: function handleSensorChange(isVisible) {
      if (isVisible) {
        this.setState({
          isVisible: true
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var isVisible = this.state.isVisible;
      var _props = this.props,
          image = _props.image,
          header = _props.header,
          subHeader = _props.subHeader,
          bgPosition = _props.bgPosition;


      return _react2.default.createElement(
        _.ExtendedBox,
        {
          width: 1,
          bgImage: image,
          bgRepeat: 'no-repeat',
          bgPosition: bgPosition,
          bg: 'black',
          rbgSize: 'cover'
        },
        _react2.default.createElement(
          _.ExtendedFlex,
          {
            height: ['50vh', '60vh', '70vh'],
            maxHeight: 674,
            flexDirection: 'column',
            justify: 'center',
            align: 'center',
            mx: [10, 20, 20, 20, 20]
          },
          _react2.default.createElement(_.VisibilitySensor, {
            callback: this.handleSensorChange
          }),
          _react2.default.createElement(
            _.Heading,
            {
              type: 'H2',
              m: 0,
              color: 'white',
              display: 'block',
              textAlign: 'center',
              maxWidth: '100%',
              opacity: isVisible ? '1' : '0',
              transition: 'opacity 0.5s 0.3s linear'
            },
            header
          ),
          subHeader && _react2.default.createElement(
            _.Heading,
            {
              type: 'H8',
              mt: [30, 40, 40, 40, 60],
              color: 'white',
              display: 'block',
              textAlign: 'center',
              maxWidth: '100%',
              opacity: isVisible ? '1' : '0',
              transition: 'opacity 0.5s 0.6s linear'
            },
            subHeader
          )
        )
      );
    }
  }]);

  return Hero;
}(_react2.default.Component);

Hero.propTypes = {
  header: _propTypes2.default.string,
  subHeader: _propTypes2.default.string,
  image: _propTypes2.default.string,
  bgPosition: _propTypes2.default.string
};

Hero.defaultProps = {
  bgPosition: 'center center'
};

exports.default = Hero;