'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Loader = function Loader(props) {
  var width = props.width,
      height = props.height,
      frontColor = props.frontColor,
      backColor = props.backColor,
      children = props.children;


  return _react2.default.createElement(
    _.LoaderCore.Wrapper,
    null,
    _react2.default.createElement(
      _.LoaderCore.Div,
      {
        width: width,
        height: height
      },
      _react2.default.createElement(
        _.LoaderCore.Flipper,
        null,
        _react2.default.createElement(_.LoaderCore.Front, { bg: frontColor }),
        _react2.default.createElement(_.LoaderCore.Back, { bg: backColor })
      )
    ),
    children && _react2.default.createElement(
      _.LoaderCore.ChildrenWrapper,
      {
        mt: height + 40,
        textAlign: 'center'
      },
      children
    )
  );
};

Loader.propTypes = {
  width: _propTypes2.default.number,
  height: _propTypes2.default.number,
  frontColor: _propTypes2.default.string,
  backColor: _propTypes2.default.string
};

Loader.defaultProps = {
  width: 25,
  height: 25,
  frontColor: "blue.1",
  backColor: "gray.8"
};

exports.default = Loader;