'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Note: Wondering about the `maxWidth` and `width` stuff?
// Those are there to protect against IE11 breaking with lines extending beyond 100% width.
// Forces IE to recognize the size it's in and conform accordingly.
var MiniEssay = function MiniEssay(_ref) {
  var header = _ref.header,
      subHeader = _ref.subHeader,
      paragraphsOfText = _ref.paragraphsOfText,
      animatedFadeIn = _ref.animatedFadeIn,
      isVisible = _ref.isVisible;

  // We default MiniEssay to always being visibile unless animation flag thrown
  var visibilityStatus = true;
  if (animatedFadeIn) {
    visibilityStatus = isVisible; // if thrown, we use isVisible prop
  }

  // Creates a body paragraph. Intended to be used in .map over array of text strings.
  // Note: first paragraph has no top margin. Subsequent pars spaced via top margin.
  var createBodyParagraph = function createBodyParagraph(text, parIndex) {
    var transitionDelay = 0.3 * parIndex + 0.3;
    var transitionProp = 'opacity 0.5s ' + transitionDelay + 's linear';
    return _react2.default.createElement(
      _.Body,
      {
        key: parIndex,
        type: 'B1',
        display: 'block',
        textAlign: 'center',
        maxWidth: ['75%', 540, 600, 840, 1160],
        mt: parIndex === 0 ? 0 : [15, 20, 20, 20, 30],
        opacity: visibilityStatus ? '1' : '0',
        transition: transitionProp
      },
      text
    );
  };

  return _react2.default.createElement(
    _.Flex,
    {
      flexDirection: 'column',
      align: 'center',
      justify: 'center',
      width: 1
    },
    header && _react2.default.createElement(
      _.Heading,
      {
        type: 'H3',
        display: 'block',
        textAlign: 'center',
        maxWidth: ['75%', 540, 600, 840, 1160],
        m: 0,
        mb: subHeader ? '0.5em' : [30, 40, 40, 40, 50],
        opacity: visibilityStatus ? '1' : '0',
        transition: 'opacity 0.5s 0s linear'
      },
      header
    ),
    subHeader && _react2.default.createElement(
      _.Data,
      {
        type: 'D1',
        display: 'block',
        textAlign: 'center',
        maxWidth: ['75%', 540, 600, 840, 1160],
        m: 0,
        mb: [30, 40, 40, 50, 60],
        opacity: visibilityStatus ? '1' : '0',
        transition: 'opacity 0.5s 0s linear'
      },
      subHeader
    ),
    paragraphsOfText.map(createBodyParagraph)
  );
};

MiniEssay.propTypes = {
  header: _propTypes2.default.string,
  subHeader: _propTypes2.default.string,
  paragraphsOfText: _propTypes2.default.array,
  animatedFadeIn: _propTypes2.default.bool,
  isVisible: _propTypes2.default.bool
};

exports.default = MiniEssay;