'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

var _closeX_blk = require('../assets/closeX_blk.svg');

var _closeX_blk2 = _interopRequireDefault(_closeX_blk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Modal = function Modal(_ref) {
  var isVisible = _ref.isVisible,
      handleClick = _ref.handleClick,
      children = _ref.children;

  return _react2.default.createElement(
    _.ExtendedBox,
    {
      w: [0.9, 600],
      minHeight: 140,
      position: 'fixed',
      top: '50%',
      left: '50%',
      transform: 'translate(-50%, -50%)',
      bg: 'white',
      p: 40,
      boxSizing: 'border-box',
      opacity: isVisible ? '1' : '0',
      transition: '\n        opacity 0.5s linear,\n        visibility 0.5s linear\n      ',
      zIndex: '2',
      visibility: isVisible ? 'visible' : 'hidden'
    },
    _react2.default.createElement(
      _.ExtendedBox,
      {
        position: 'absolute',
        top: '10px',
        right: '10px',
        visibility: isVisible ? 'visible' : 'hidden'
      },
      _react2.default.createElement(_.Image, {
        src: _closeX_blk2.default,
        onClick: handleClick,
        visibility: isVisible ? 'visible' : 'hidden',
        hover: true
      })
    ),
    children
  );
};

Modal.propTypes = {
  children: _propTypes2.default.any,
  isVisible: _propTypes2.default.bool,
  handleClick: _propTypes2.default.func
};

Modal.defaultProps = {
  children: 'Blah Blah modal content'
};

exports.default = Modal;