'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ModalWithOverlay = function ModalWithOverlay(_ref) {
  var isVisible = _ref.isVisible,
      handleClick = _ref.handleClick,
      children = _ref.children;

  return _react2.default.createElement(
    _.ExtendedBox,
    {
      w: 1,
      height: '100%',
      position: 'fixed',
      left: '0',
      top: '0',
      visibility: isVisible ? 'visible' : 'hidden',
      zIndex: '2'
    },
    _react2.default.createElement(_.Overlay, {
      isVisible: isVisible,
      handleClick: handleClick
    }),
    _react2.default.createElement(
      _.Modal,
      {
        isVisible: isVisible,
        handleClick: handleClick
      },
      children
    )
  );
};

ModalWithOverlay.propTypes = {
  children: _propTypes2.default.any,
  isVisible: _propTypes2.default.bool,
  handleClick: _propTypes2.default.func
};

exports.default = ModalWithOverlay;