'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; // This is a special component only to be used with react-router


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

var _Link = require('./Link');

var _Data = require('./Data');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var types = _extends({}, _Link.types, _Data.types);

var NavLink = function NavLink(props) {
  var children = props.children,
      type = props.type,
      withActiveStyle = props.withActiveStyle,
      passedProps = _objectWithoutProperties(props, ['children', 'type', 'withActiveStyle']);

  var reWrittenPassedProps = _extends({}, passedProps, window.Drupal ? {
    onClick: function onClick() {
      if (!passedProps.onClick || passedProps.onClick() !== false) {
        window.location.reload();
      }
    }
  } : {});

  return withActiveStyle ? _react2.default.createElement(
    _.StyledNavLink,
    _extends({
      fontSize: types[type].fontSize,
      fontFamily: types[type].fontFamily,
      fontWeight: types[type].fontWeight,
      textTransform: types[type].textTransform,
      letterSpacing: types[type].letterSpacing,
      textDecoration: types[type].textDecoration,
      border: types[type].border,
      borderColor: types[type].borderColor,
      display: types[type].display,
      width: types[type].width,
      height: types[type].height,
      maxWidth: types[type].maxWidth,
      minWidth: types[type].minWidth,
      px: types[type].px,
      py: types[type].py,
      lineHeight: types[type].lineHeight,
      textAlign: types[type].textAlign,
      bg: types[type].bg,
      color: types[type].color,
      hoverBG: types[type].hoverBG,
      hoverColor: types[type].hoverColor ? types[type].hoverColor : 'black',
      hoverBorderColor: types[type].hoverBorderColor
    }, reWrittenPassedProps),
    children
  ) : _react2.default.createElement(
    _.StyledLink,
    _extends({
      fontSize: types[type].fontSize,
      fontFamily: types[type].fontFamily,
      fontWeight: types[type].fontWeight,
      textTransform: types[type].textTransform,
      letterSpacing: types[type].letterSpacing,
      textDecoration: types[type].textDecoration,
      border: types[type].border,
      borderColor: types[type].borderColor,
      display: types[type].display,
      width: types[type].width,
      height: types[type].height,
      maxWidth: types[type].maxWidth,
      minWidth: types[type].minWidth,
      px: types[type].px,
      py: types[type].py,
      lineHeight: types[type].lineHeight,
      textAlign: types[type].textAlign,
      bg: types[type].bg,
      color: types[type].color,
      hoverBG: types[type].hoverBG,
      hoverColor: types[type].hoverColor ? types[type].hoverColor : 'black',
      hoverBorderColor: types[type].hoverBorderColor
    }, reWrittenPassedProps),
    children
  );
};

NavLink.defaultProps = {
  withActiveStyle: true
};

NavLink.propTypes = {
  children: _propTypes2.default.any,
  type: _propTypes2.default.oneOf(Object.keys(types)).isRequired,
  withActiveStyle: _propTypes2.default.bool
};

exports.default = NavLink;