'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Overlay = function Overlay(_ref) {
  var isVisible = _ref.isVisible,
      handleClick = _ref.handleClick;

  return _react2.default.createElement(_.ExtendedBox, {
    w: 1,
    height: '100%',
    position: 'fixed',
    left: '0',
    top: '0',
    opacity: isVisible ? '0.8' : '0',
    visibility: isVisible ? 'visible' : 'hidden',
    transition: 'opacity 0.3s linear',
    zIndex: '1',
    bg: 'black',
    onClick: handleClick,
    hover: true
  });
};

Overlay.propTypes = {
  isVisible: _propTypes2.default.bool,
  handleClick: _propTypes2.default.func
};

exports.default = Overlay;