'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var RecentInvestmentCard = function RecentInvestmentCard(_ref) {
  var image = _ref.image,
      title = _ref.title,
      location = _ref.location,
      propertyType = _ref.propertyType,
      investmentType = _ref.investmentType,
      description = _ref.description,
      opacity = _ref.opacity,
      transition = _ref.transition;

  return _react2.default.createElement(
    _.ExtendedFlex,
    {
      flexDirection: 'column',
      boxSizing: 'border-box',
      bg: 'white',
      width: [315, 315, 315, 400, 525],
      height: [400, 400, 440, 480, 600],
      justify: 'flex-start',
      align: 'center',
      p: 10,
      opacity: opacity,
      transition: transition
    },
    _react2.default.createElement(_.Image, {
      width: 1,
      maxWidth: 492,
      IEAspectRatioFix: true,
      src: image,
      hoverColorize: true
    }),
    _react2.default.createElement(
      _.ExtendedFlex,
      {
        flexDirection: 'column',
        align: 'flex-start',
        p: 10,
        pt: 20,
        maxWidth: '100%'
      },
      _react2.default.createElement(
        _.Body,
        {
          type: 'B4',
          textTransform: 'uppercase',
          m: 0,
          mb: [0, 0, 0, 0, 0]
        },
        location
      ),
      _react2.default.createElement(
        _.Data,
        {
          type: 'D3',
          m: 0,
          pb: 20
        },
        title
      ),
      _react2.default.createElement(
        _.Flex,
        {
          align: 'flex-start',
          pb: 30
        },
        _react2.default.createElement(
          _.ExtendedFlex,
          {
            flexDirection: 'column',
            borderRight: '1px solid',
            pr: 20
          },
          _react2.default.createElement(
            _.Data,
            {
              type: 'D5',
              m: 0,
              mb: 5
            },
            propertyType
          ),
          _react2.default.createElement(
            _.Data,
            {
              type: 'D3',
              m: 0
            },
            'Property Type'
          )
        ),
        _react2.default.createElement(
          _.Flex,
          {
            flexDirection: 'column',
            pr: 0,
            pl: 20
          },
          _react2.default.createElement(
            _.Data,
            {
              type: 'D5',
              m: 0,
              mb: 5
            },
            investmentType
          ),
          _react2.default.createElement(
            _.Data,
            {
              type: 'D3',
              m: 0
            },
            'Investment Type'
          )
        )
      ),
      _react2.default.createElement(
        _.ExtendedFlex,
        {
          maxWidth: '100%'
        },
        _react2.default.createElement(
          _.Body,
          {
            type: 'B3',
            m: 0
          },
          description
        )
      )
    )
  );
}; // NOTE! This is fundamentally different than "InvestmentCard".
// This is intended purely for display purposes, such as on homepage.

RecentInvestmentCard.defaultProps = {
  opacity: '1s'
};

RecentInvestmentCard.propTypes = {
  image: _propTypes2.default.string,
  title: _propTypes2.default.string,
  location: _propTypes2.default.string,
  propertyType: _propTypes2.default.string,
  investmentType: _propTypes2.default.string,
  description: _propTypes2.default.string,
  transition: _propTypes2.default.string,
  opacity: _propTypes2.default.string
};

exports.default = RecentInvestmentCard;