'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

var _Body = require('./Body');

var _icon_search = require('../assets/icon_search.svg');

var _icon_search2 = _interopRequireDefault(_icon_search);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Search = function Search(_ref) {
  var placeholder = _ref.placeholder,
      value = _ref.value,
      mt = _ref.mt;

  return _react2.default.createElement(
    _.ExtendedBox,
    {
      position: 'relative',
      w: [1, 1, 400, 400],
      mt: mt
    },
    _react2.default.createElement(_.Image, {
      position: 'absolute',
      left: '0px',
      top: '6px',
      src: _icon_search2.default
    }),
    _react2.default.createElement(_.TextInput, _extends({}, _Body.types.B1, {
      value: value,
      placeholder: placeholder,
      fontFamily: 'sansSerif',
      textIndent: '30px',
      bg: 'transparent',
      border: 0,
      borderBottom: 1,
      borderColor: 'gray.8',
      w: 1
    }))
  );
};

Search.propTypes = {
  placeholder: _propTypes2.default.string,
  value: _propTypes2.default.string,
  mt: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number, _propTypes2.default.array])
};

exports.default = Search;