'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.socialMediaIcons = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

var _social_twitter_blue = require('../assets/social_twitter_blue.svg');

var _social_twitter_blue2 = _interopRequireDefault(_social_twitter_blue);

var _social_youtube_blue = require('../assets/social_youtube_blue.svg');

var _social_youtube_blue2 = _interopRequireDefault(_social_youtube_blue);

var _social_linkedin_blue = require('../assets/social_linkedin_blue.svg');

var _social_linkedin_blue2 = _interopRequireDefault(_social_linkedin_blue);

var _social_ig_blue = require('../assets/social_ig_blue.svg');

var _social_ig_blue2 = _interopRequireDefault(_social_ig_blue);

var _social_fb_blue = require('../assets/social_fb_blue.svg');

var _social_fb_blue2 = _interopRequireDefault(_social_fb_blue);

var _social_twitter_gray = require('../assets/social_twitter_gray.svg');

var _social_twitter_gray2 = _interopRequireDefault(_social_twitter_gray);

var _social_youtube_gray = require('../assets/social_youtube_gray.svg');

var _social_youtube_gray2 = _interopRequireDefault(_social_youtube_gray);

var _social_linkedin_gray = require('../assets/social_linkedin_gray.svg');

var _social_linkedin_gray2 = _interopRequireDefault(_social_linkedin_gray);

var _social_ig_gray = require('../assets/social_ig_gray.svg');

var _social_ig_gray2 = _interopRequireDefault(_social_ig_gray);

var _social_fb_gray = require('../assets/social_fb_gray.svg');

var _social_fb_gray2 = _interopRequireDefault(_social_fb_gray);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var socialMediaIcons = exports.socialMediaIcons = {
  blue: {
    twitter: _social_twitter_blue2.default,
    facebook: _social_fb_blue2.default,
    youtube: _social_youtube_blue2.default,
    linkedin: _social_linkedin_blue2.default,
    instagram: _social_ig_blue2.default
  },
  gray: {
    twitter: _social_twitter_gray2.default,
    facebook: _social_fb_gray2.default,
    youtube: _social_youtube_gray2.default,
    linkedin: _social_linkedin_gray2.default,
    instagram: _social_ig_gray2.default
  }
};

var SocialMediaIcon = function SocialMediaIcon(_ref) {
  var icon = _ref.icon,
      url = _ref.url,
      color = _ref.color;

  return _react2.default.createElement(_.SocialMediaIconBase, {
    bgImage: socialMediaIcons[color][icon],
    bgRepeat: 'no-repeat',
    bgPosition: 'center center',
    bgSize: 'auto 18px',
    w: 25,
    height: 20,
    href: url,
    ml: 5
  });
};

SocialMediaIcon.defaultProps = {
  color: 'gray'
};

SocialMediaIcon.propTypes = {
  icon: _propTypes2.default.oneOf(['twitter', 'youtube', 'facebook', 'instagram', 'linkedin']),
  url: _propTypes2.default.string,
  color: _propTypes2.default.oneOf(['blue', 'gray'])
};

exports.default = SocialMediaIcon;