'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var StackableCallout = function StackableCallout(_ref) {
  var header = _ref.header,
      subHeader = _ref.subHeader,
      linkText = _ref.linkText,
      linkUrl = _ref.linkUrl,
      borderRight = _ref.borderRight,
      borderColor = _ref.borderColor,
      maxWidth = _ref.maxWidth,
      bg = _ref.bg,
      w = _ref.w;

  return _react2.default.createElement(
    _.ExtendedFlex,
    {
      bg: bg,
      flexDirection: 'column',
      align: 'flex-start',
      justify: 'center',
      position: 'relative',
      w: w,
      px: '10%',
      maxWidth: maxWidth,
      pt: 20,
      pb: 40,
      borderRight: borderRight,
      borderColor: borderColor
    },
    _react2.default.createElement(
      _.Heading,
      {
        type: 'H6',
        color: 'black',
        textTransform: 'uppercase',
        m: 0
      },
      header
    ),
    _react2.default.createElement(
      _.ExtendedBox,
      {
        height: '120px',
        pt: 20
      },
      _react2.default.createElement(
        _.Body,
        {
          type: 'B1',
          m: 0
        },
        subHeader
      )
    ),
    _react2.default.createElement(
      _.Link,
      {
        type: 'L4',
        href: linkUrl
      },
      linkText
    ),
    borderRight && _react2.default.createElement(_.ExtendedBox, {
      w: 1,
      height: 1,
      mt: 40,
      bg: 'gray.7',
      display: ['block', 'block', 'block', 'none']
    })
  );
};

StackableCallout.propTypes = {
  header: _propTypes2.default.string,
  subHeader: _propTypes2.default.string,
  linkText: _propTypes2.default.string,
  linkUrl: _propTypes2.default.string,
  borderRight: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.array]),
  borderColor: _propTypes2.default.string,
  bg: _propTypes2.default.string,
  w: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number, _propTypes2.default.array]),
  maxWidth: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number, _propTypes2.default.array])
};

StackableCallout.defaultProps = {
  w: 400,
  maxWidth: 400
};

exports.default = StackableCallout;