'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

var _tooltip_icon = require('../assets/tooltip_icon.svg');

var _tooltip_icon2 = _interopRequireDefault(_tooltip_icon);

var _utility = require('../helpers/utility');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TooltipIcon = function TooltipIcon(_ref) {
  var tooltipId = _ref.tooltipId,
      position = _ref.position,
      top = _ref.top,
      right = _ref.right,
      bottom = _ref.bottom,
      left = _ref.left,
      mt = _ref.mt,
      mr = _ref.mr,
      mb = _ref.mb,
      ml = _ref.ml;

  return _react2.default.createElement(
    _.ExtendedBox,
    {
      position: position,
      top: top,
      right: right,
      bottom: bottom,
      left: left
    },
    _react2.default.createElement(
      'span',
      null,
      _react2.default.createElement(_.Image, {
        'data-for': tooltipId,
        'data-tip': true,
        'data-event': _utility.isMobile ? 'touchstart' : undefined,
        src: _tooltip_icon2.default,
        w: [13, 13, 16, 16, 16],
        mt: mt,
        mr: mr,
        mb: mb,
        ml: ml,
        hover: true
      })
    )
  );
};

TooltipIcon.propTypes = {
  tooltipId: _propTypes2.default.string.isRequired,
  position: _propTypes2.default.string,
  top: _propTypes2.default.string,
  right: _propTypes2.default.string,
  bottom: _propTypes2.default.string,
  left: _propTypes2.default.string,
  mr: _propTypes2.default.oneOfType([_propTypes2.default.number, _propTypes2.default.array]),
  ml: _propTypes2.default.oneOfType([_propTypes2.default.number, _propTypes2.default.array]),
  mb: _propTypes2.default.oneOfType([_propTypes2.default.number, _propTypes2.default.array]),
  mt: _propTypes2.default.oneOfType([_propTypes2.default.number, _propTypes2.default.array])
};

TooltipIcon.defaultProps = {
  mt: 0,
  mr: 0,
  mb: 0,
  ml: 0
};

exports.default = TooltipIcon;