'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var UnlockOpportunities = function (_React$Component) {
  _inherits(UnlockOpportunities, _React$Component);

  function UnlockOpportunities(props) {
    _classCallCheck(this, UnlockOpportunities);

    var _this = _possibleConstructorReturn(this, (UnlockOpportunities.__proto__ || Object.getPrototypeOf(UnlockOpportunities)).call(this, props));

    _this.state = {
      dropdown1: {
        id: 'dropdown1',
        isActive: false,
        value: 'Passive Income',
        options: ['Passive Income', 'Capital Preservation', 'Growth', '1031 Exchange', 'Other']
      },
      dropdown2: {
        id: 'dropdown2',
        isActive: false,
        value: 'Conservative',
        options: ['Conservative', 'Moderate', 'Aggressive']
      },
      isVisible: false
    };

    _this.dropdownClickHandler = _this.dropdownClickHandler.bind(_this);
    _this.handleSensorChange = _this.handleSensorChange.bind(_this);
    _this.reset = _this.reset.bind(_this);
    return _this;
  }

  _createClass(UnlockOpportunities, [{
    key: 'dropdownClickHandler',
    value: function dropdownClickHandler(e) {
      var value = e.target.getAttribute('value');
      var target = e.target.getAttribute('id');
      // Whether open or closed, clicking should toggle dropdown in other direction.
      this.setState(_defineProperty({}, target, _extends({}, this.state[target], {
        isActive: !this.state[target].isActive,
        value: value
      })));
    }
  }, {
    key: 'reset',
    value: function reset(e) {
      if (!Object.keys(this.state).includes(e.target.id)) {
        this.setState({
          dropdown1: _extends({}, this.state.dropdown1, {
            isActive: false
          }),
          dropdown2: _extends({}, this.state.dropdown2, {
            isActive: false
          })
        });
      }
    }
  }, {
    key: 'handleSensorChange',
    value: function handleSensorChange(isVisible) {
      if (isVisible) {
        this.setState({
          isVisible: isVisible
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _state = this.state,
          dropdown1 = _state.dropdown1,
          dropdown2 = _state.dropdown2,
          isVisible = _state.isVisible;
      var isLoggedIn = this.props.isLoggedIn;


      return isLoggedIn ? null : _react2.default.createElement(
        _.Box,
        {
          bg: 'black',
          w: 1,
          py: [100, 100, 100, 160, 220],
          onClick: this.reset
        },
        _react2.default.createElement(
          _.Flex,
          {
            flexDirection: 'column',
            align: 'center'
          },
          _react2.default.createElement(
            _.Heading,
            {
              type: 'H9',
              color: 'white',
              display: 'block',
              textAlign: 'center',
              textTransform: 'uppercase',
              mx: 20,
              opacity: isVisible ? '1' : '0',
              transition: '\n              opacity 0.5s ' + (!isVisible ? '0' : '0.3') + 's linear\n            '
            },
            'Unlock Exclusive Opportunities Today.'
          ),
          _react2.default.createElement(_.VisibilitySensor, {
            callback: this.handleSensorChange
          }),
          _react2.default.createElement(
            _.Box,
            {
              my: 50
            },
            _react2.default.createElement(
              _.ExtendedFlex,
              {
                flexDirection: ['column', 'column', 'column', 'row', 'row'],
                align: 'center',
                mb: [20, 30, 40, 40, 60],
                opacity: isVisible ? '1' : '0',
                transition: '\n                opacity 0.5s ' + (!isVisible ? '0' : '0.6') + 's linear\n              '
              },
              _react2.default.createElement(
                _.Flex,
                {
                  flexDirection: ['column', 'row', 'row', 'row', 'row'],
                  align: 'center',
                  mr: [0, 0, 0, 40, 80],
                  mb: [40, 40, 40, 0]
                },
                _react2.default.createElement(
                  _.Heading,
                  {
                    type: 'H5',
                    color: 'white',
                    mr: [null, 10],
                    mb: [10, null]
                  },
                  'I Want'
                ),
                _react2.default.createElement(_.OptionDropdown, _extends({
                  width: [190, 190, 210, 240, 300],
                  zIndex: '2'
                }, dropdown1, {
                  handleClick: this.dropdownClickHandler
                }))
              ),
              _react2.default.createElement(
                _.Flex,
                {
                  flexDirection: ['column', 'row', 'row', 'row', 'row'],
                  align: 'center',
                  mb: 0
                },
                _react2.default.createElement(
                  _.Heading,
                  {
                    type: 'H5',
                    color: 'white',
                    mr: [null, 10],
                    mb: [10, null]
                  },
                  'My Risk Tolerance Is'
                ),
                _react2.default.createElement(_.OptionDropdown, _extends({
                  width: [140, 140, 150, 170, 220],
                  zIndex: '1'
                }, dropdown2, {
                  handleClick: this.dropdownClickHandler
                }))
              )
            )
          ),
          _react2.default.createElement(
            _.Link,
            {
              type: 'L2',
              href: '/user/register',
              opacity: isVisible ? '1' : '0',
              transition: '\n              opacity 0.5s ' + (!isVisible ? '0' : '0.9') + 's linear\n            '
            },
            'Join Now'
          )
        )
      );
    }
  }]);

  return UnlockOpportunities;
}(_react2.default.Component);

UnlockOpportunities.propTypes = {
  isLoggedIn: _propTypes2.default.bool.isRequired
};

exports.default = UnlockOpportunities;