'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../../../');

var _AccordionHeading = require('./AccordionHeading');

var _AccordionHeading2 = _interopRequireDefault(_AccordionHeading);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AccordionWithTopic = function (_React$Component) {
  _inherits(AccordionWithTopic, _React$Component);

  function AccordionWithTopic(props) {
    _classCallCheck(this, AccordionWithTopic);

    var _this = _possibleConstructorReturn(this, (AccordionWithTopic.__proto__ || Object.getPrototypeOf(AccordionWithTopic)).call(this, props));

    _this.state = {
      activeIndexes: []
    };

    _this.toggleAccordion = _this.toggleAccordion.bind(_this);
    return _this;
  }

  _createClass(AccordionWithTopic, [{
    key: 'toggleAccordion',
    value: function toggleAccordion(id) {
      this.setState({
        activeIndexes: this.state.activeIndexes.includes(id) ? this.state.activeIndexes.filter(function (i) {
          return i !== id;
        }) : [].concat(_toConsumableArray(this.state.activeIndexes), [id])
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          items = _props.items,
          contentIsHtml = _props.contentIsHtml;
      var activeIndexes = this.state.activeIndexes;


      return _react2.default.createElement(
        _.ExtendedFlex,
        {
          flexDirection: 'column',
          justify: 'center',
          align: 'center',
          pt: 20,
          w: 1
        },
        items.map(function (item) {
          var isActive = activeIndexes.includes(item.id);

          return _react2.default.createElement(
            _.ExtendedFlex,
            {
              key: item.id,
              flexDirection: 'column',
              justify: 'center',
              w: 1,
              align: 'center',
              mt: 5
            },
            _react2.default.createElement(
              _.ExtendedBox,
              {
                bg: 'white',
                w: 1,
                py: 20
              },
              _react2.default.createElement(_AccordionHeading2.default, {
                content: item.topic,
                id: item.id,
                isActive: isActive,
                handleClick: _this2.toggleAccordion,
                isUppercase: true
              })
            ),
            isActive && _react2.default.createElement(_.Accordion, {
              items: item.items,
              contentIsHtml: contentIsHtml
            })
          );
        })
      );
    }
  }]);

  return AccordionWithTopic;
}(_react2.default.Component);

AccordionWithTopic.propTypes = {
  items: _propTypes2.default.array,
  contentIsHtml: _propTypes2.default.bool
};

exports.default = AccordionWithTopic;