'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ArticleCardImage = require('../components/ArticleCardImage');

var _ArticleCardImage2 = _interopRequireDefault(_ArticleCardImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var articleCardImageFactoryFactory = function articleCardImageFactoryFactory(props) {
  var imageUrl = props.imageUrl,
      id = props.id,
      type = props.type,
      url = props.url;


  var articleCardImageFactory = function articleCardImageFactory() {
    return _react2.default.createElement(_ArticleCardImage2.default, {
      imageUrl: imageUrl,
      url: url,
      id: id,
      type: type
    });
  };

  articleCardImageFactory.propTypes = {
    imageUrl: _propTypes2.default.string,
    id: _propTypes2.default.number,
    type: _propTypes2.default.string,
    url: _propTypes2.default.string
  };

  return articleCardImageFactory;
};

exports.default = articleCardImageFactoryFactory;