'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _numeral = require('numeral');

var _numeral2 = _interopRequireDefault(_numeral);

var _gridStyled = require('grid-styled');

var _ = require('../../../');

var _formatters = require('../../../helpers/formatters');

var _formatters2 = _interopRequireDefault(_formatters);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var InvestmentCardActuals = function InvestmentCardActuals(_ref) {
  var actualIrr = _ref.actualIrr,
      actualHold = _ref.actualHold,
      investmentTypeDisplay = _ref.investmentTypeDisplay;

  return _react2.default.createElement(
    _gridStyled.Box,
    {
      pt: 20,
      px: 10
    },
    _react2.default.createElement(
      _gridStyled.Flex,
      {
        w: 1,
        justify: 'flex-start'
      },
      _react2.default.createElement(
        _gridStyled.Box,
        {
          py: 10,
          w: 1
        },
        _react2.default.createElement(
          _.Data,
          {
            type: 'D6',
            display: 'block',
            m: 0
          },
          (0, _numeral2.default)(actualIrr).format(_formatters2.default.PERCENTAGE2)
        ),
        _react2.default.createElement(
          _.Data,
          {
            pt: 5,
            type: 'D3',
            display: 'block',
            m: 0
          },
          investmentTypeDisplay === 'Debt' ? 'Actual Return' : 'Actual IRR'
        )
      ),
      _react2.default.createElement(
        _gridStyled.Box,
        {
          py: 10,
          w: 1
        },
        _react2.default.createElement(
          _.Data,
          {
            type: 'D6',
            display: 'block',
            m: 0
          },
          actualHold + ' MOS'
        ),
        _react2.default.createElement(
          _.Data,
          {
            pt: 5,
            type: 'D3',
            display: 'block',
            m: 0
          },
          'Actual Hold'
        )
      ),
      _react2.default.createElement(_gridStyled.Box, { w: 1 })
    )
  );
};

InvestmentCardActuals.propTypes = {
  actualIrr: _propTypes2.default.number,
  actualHold: _propTypes2.default.number,
  investmentTypeDisplay: _propTypes2.default.string
};

InvestmentCardActuals.defaultProps = {
  actualIrr: 0.999,
  actualHold: '123',
  investmentTypeDisplay: 'Equity'
};

exports.default = InvestmentCardActuals;