'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _numeral = require('numeral');

var _numeral2 = _interopRequireDefault(_numeral);

var _gridStyled = require('grid-styled');

var _ = require('../../../');

var _pie_chart_ = require('../../../assets/pie_chart_60.png');

var _pie_chart_2 = _interopRequireDefault(_pie_chart_);

var _pie_chart_3 = require('../../../assets/pie_chart_65.png');

var _pie_chart_4 = _interopRequireDefault(_pie_chart_3);

var _pie_chart_5 = require('../../../assets/pie_chart_70.png');

var _pie_chart_6 = _interopRequireDefault(_pie_chart_5);

var _pie_chart_7 = require('../../../assets/pie_chart_75.png');

var _pie_chart_8 = _interopRequireDefault(_pie_chart_7);

var _pie_chart_9 = require('../../../assets/pie_chart_80.png');

var _pie_chart_10 = _interopRequireDefault(_pie_chart_9);

var _pie_chart_11 = require('../../../assets/pie_chart_85.png');

var _pie_chart_12 = _interopRequireDefault(_pie_chart_11);

var _pie_chart_13 = require('../../../assets/pie_chart_90.png');

var _pie_chart_14 = _interopRequireDefault(_pie_chart_13);

var _pie_chart_15 = require('../../../assets/pie_chart_95.png');

var _pie_chart_16 = _interopRequireDefault(_pie_chart_15);

var _pie_chart_17 = require('../../../assets/pie_chart_100.png');

var _pie_chart_18 = _interopRequireDefault(_pie_chart_17);

var _formatters = require('../../../helpers/formatters');

var _formatters2 = _interopRequireDefault(_formatters);

var _math = require('../../../helpers/math');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var images = {
  pc60: _pie_chart_2.default,
  pc65: _pie_chart_4.default,
  pc70: _pie_chart_6.default,
  pc75: _pie_chart_8.default,
  pc80: _pie_chart_10.default,
  pc85: _pie_chart_12.default,
  pc90: _pie_chart_14.default,
  pc95: _pie_chart_16.default,
  pc100: _pie_chart_18.default
};

var getImage = function getImage(percentage) {
  var int = percentage * 100;
  var image = void 0;
  if (int < 98) {
    var roundedPercentage = (0, _math.round5)(int);
    image = images['pc' + roundedPercentage] || null;
  } else if (int >= 98 && int < 100) {
    image = images.pc95;
  } else {
    image = images.pc100;
  }
  return image;
};

var InvestmentCardCalloutsX2 = function InvestmentCardCalloutsX2(_ref) {
  var progressBar = _ref.progressBar;

  return _react2.default.createElement(
    _gridStyled.Box,
    {
      pt: 20,
      px: 10
    },
    _react2.default.createElement(
      _gridStyled.Flex,
      {
        justify: 'space-between',
        w: 1
      },
      _react2.default.createElement(
        _.ExtendedBox,
        {
          w: 1,
          borderRight: 1,
          borderColor: 'gray.7',
          px: 10
        },
        _react2.default.createElement(
          _.ExtendedFlex,
          {
            justify: 'center',
            align: 'center',
            flexDirection: 'column',
            height: '100%',
            position: 'relative'
          },
          _react2.default.createElement(_.Image, {
            position: 'absolute',
            zIndex: '0',
            left: '0',
            right: '0',
            top: '0',
            bottom: '0',
            m: 'auto',
            src: getImage(progressBar.percent),
            w: [80, 80, 90, 110, 140]
          }),
          _react2.default.createElement(
            _.Data,
            {
              type: 'D6',
              m: 0,
              display: 'block',
              zIndex: '1'
            },
            (0, _numeral2.default)(progressBar.percent).format(_formatters2.default.PERCENTAGE)
          ),
          _react2.default.createElement(
            _.Data,
            {
              type: 'D3',
              m: 0,
              display: 'block',
              zIndex: '1'
            },
            'Invested'
          )
        )
      ),
      _react2.default.createElement(
        _.ExtendedBox,
        {
          w: 1,
          px: 20,
          boxSizing: 'border-box'
        },
        _react2.default.createElement(
          _.Data,
          {
            display: 'block',
            type: 'D6',
            m: 0
          },
          (0, _numeral2.default)(progressBar.target).format(_formatters2.default.DOLLARS)
        ),
        _react2.default.createElement(
          _.Data,
          {
            display: 'block',
            m: 0,
            type: 'D3'
          },
          'Investment Goal'
        )
      )
    )
  );
};

InvestmentCardCalloutsX2.propTypes = {
  progressBar: _propTypes2.default.object
};

InvestmentCardCalloutsX2.defaultProps = {
  progressBar: {
    target: 810000,
    raised: 710000,
    percent: 0.87
  }
};

exports.default = InvestmentCardCalloutsX2;