'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../../../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var InvestmentCardImage = function InvestmentCardImage(_ref) {
  var imageUrl = _ref.imageUrl,
      hover = _ref.hover,
      ImageWrapper = _ref.ImageWrapper,
      imageWrapperProps = _ref.imageWrapperProps;

  return _react2.default.createElement(
    _.ExtendedBox,
    {
      w: 1,
      height: [165, 165, 220, 220, 265],
      overflowX: 'hidden',
      overflowY: 'hidden'
    },
    _react2.default.createElement(
      ImageWrapper,
      imageWrapperProps,
      _react2.default.createElement(_.Image, {
        w: 1,
        src: imageUrl,
        hoverColorize: true,
        hover: hover,
        transition: '0.2s linear filter'
      })
    )
  );
};

InvestmentCardImage.propTypes = {
  imageUrl: _propTypes2.default.string,
  hover: _propTypes2.default.bool,
  ImageWrapper: _propTypes2.default.node,
  imageWrapperProps: _propTypes2.default.object
};

InvestmentCardImage.defaultProps = {
  imageUrl: 'http://fillmurray.com/492/340',
  hover: false,
  ImageWrapper: _propTypes2.default.instanceOf(_react2.default.Fragment),
  imageWrapperProps: {}
};

exports.default = InvestmentCardImage;