'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var convertToFormat = function convertToFormat(value, format) {
  if (value === null) {
    return null;
  }

  switch (format) {
    case 'years':
    default:
      return Math.floor(value / 12);
  }
};

var getFormat = function getFormat(format) {
  switch (format) {
    case 'years':
    default:
      return 'YR';
  }
};

var InvestmentTargetHold = function InvestmentTargetHold(_ref) {
  var min = _ref.min,
      max = _ref.max,
      format = _ref.format;

  var formattedMin = convertToFormat(min, format);
  var formattedMax = convertToFormat(max, format);
  var formattedFormat = getFormat(format);

  return _react2.default.createElement(
    _react2.default.Fragment,
    null,
    formattedMin !== null && formattedMax !== null && formattedMin + ' - ' + formattedMax + ' ' + formattedFormat,
    formattedMin !== null && formattedMax === null && formattedMin + ' ' + formattedFormat,
    formattedMin === null && formattedMax !== null && formattedMax + ' ' + formattedFormat
  );
};

InvestmentTargetHold.propTypes = {
  min: _propTypes2.default.number,
  max: _propTypes2.default.number,
  format: _propTypes2.default.oneOf(['years'])
};

InvestmentTargetHold.defaultProps = {
  min: 36,
  max: 60,
  format: 'years'
};

exports.default = InvestmentTargetHold;