'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _InvestmentCardImage = require('../components/InvestmentCardImage');

var _InvestmentCardImage2 = _interopRequireDefault(_InvestmentCardImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// FIXME: This is where we would implement clickable
// investment card image
var investmentCardImageFactoryFactory = function investmentCardImageFactoryFactory(props) {
  var imageUrl = props.imageUrl,
      pathAlias = props.pathAlias,
      status = props.status;


  var hasLink = !(status === 'status-20-coming-soon' || status === 'status-40-closed');

  var imageProps = {
    imageUrl: imageUrl,
    ImageWrapper: hasLink ? 'a' : _react2.default.Fragment,
    imageWrapperProps: hasLink ? {
      href: pathAlias
    } : {},
    hover: hasLink
  };

  var investmentCardImageFactory = function investmentCardImageFactory() {
    return _react2.default.createElement(_InvestmentCardImage2.default, imageProps);
  };

  return investmentCardImageFactory;
};

exports.default = investmentCardImageFactoryFactory;