'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _InvestmentCardStatus = require('../components/InvestmentCardStatus');

var _InvestmentCardStatus2 = _interopRequireDefault(_InvestmentCardStatus);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var investmentCardStatusFactoryFactory = function investmentCardStatusFactoryFactory(props) {
  var statusLabel = props.statusLabel;


  var investmentCardStatusFactory = function investmentCardStatusFactory() {
    var factoryResult = null; // Init result to `null`, no status label at all.

    // If a statusLabel has been passed (anything other than `null` for its prop), make it.
    if (statusLabel !== null) {
      factoryResult = _react2.default.createElement(_InvestmentCardStatus2.default, {
        statusLabel: statusLabel
      });
    }
    return factoryResult;
  };

  investmentCardStatusFactory.propTypes = {
    statusLabel: _propTypes2.default.string
  };

  return investmentCardStatusFactory;
};

exports.default = investmentCardStatusFactoryFactory;