'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _InvestmentCardCalloutsX = require('../components/InvestmentCardCalloutsX3');

var _InvestmentCardCalloutsX2 = _interopRequireDefault(_InvestmentCardCalloutsX);

var _InvestmentCardActuals = require('../components/InvestmentCardActuals');

var _InvestmentCardActuals2 = _interopRequireDefault(_InvestmentCardActuals);

var _InvestmentCardEmptyPlaceholder = require('../components/InvestmentCardEmptyPlaceholder');

var _InvestmentCardEmptyPlaceholder2 = _interopRequireDefault(_InvestmentCardEmptyPlaceholder);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var section4FactoryFactory = function section4FactoryFactory(props) {
  var minimum = props.minimum,
      payoutLabel = props.payoutLabel,
      targetHoldMin = props.targetHoldMin,
      targetHoldMax = props.targetHoldMax,
      reit = props.reit,
      propertyType = props.propertyType,
      status = props.status,
      actualIrr = props.actualIrr,
      actualHold = props.actualHold,
      investmentTypeDisplay = props.investmentTypeDisplay,
      gtkyApproved = props.gtkyApproved,
      id = props.id,
      payoutTooltip = props.payoutTooltip,
      distribution = props.distribution,
      distributionMoreInfo = props.distributionMoreInfo,
      distributionTooltip = props.distributionTooltip,
      irrObjective = props.irrObjective,
      returnObjective = props.returnObjective;


  var section4Factory = function section4Factory() {
    if (status === 'status-40-closed') {
      if (!gtkyApproved) {
        return _react2.default.createElement(_InvestmentCardEmptyPlaceholder2.default, null);
      }

      return _react2.default.createElement(_InvestmentCardActuals2.default, {
        actualIrr: actualIrr,
        actualHold: actualHold,
        investmentTypeDisplay: investmentTypeDisplay
      });
    }

    return _react2.default.createElement(_InvestmentCardCalloutsX2.default, {
      gtkyApproved: gtkyApproved,
      investmentTypeDisplay: investmentTypeDisplay,
      minimum: minimum,
      payoutLabel: payoutLabel,
      propertyType: propertyType,
      targetHoldMin: targetHoldMin,
      targetHoldMax: targetHoldMax,
      reit: reit,
      status: status,
      id: id,
      payoutTooltip: payoutTooltip,
      distribution: distribution,
      distributionMoreInfo: distributionMoreInfo,
      distributionTooltip: distributionTooltip,
      irrObjective: irrObjective,
      returnObjective: returnObjective
    });
  };

  section4Factory.propTypes = {
    minimum: _propTypes2.default.string,
    payoutLabel: _propTypes2.default.string,
    propertyType: _propTypes2.default.string,
    targetHoldMin: _propTypes2.default.number,
    targetHoldMax: _propTypes2.default.number,
    reit: _propTypes2.default.bool,
    status: _propTypes2.default.string,
    investmentTypeDisplay: _propTypes2.default.string,
    distributionTooltip: _propTypes2.default.string,
    distribution: _propTypes2.default.number,
    distributionMoreInfo: _propTypes2.default.string,
    payoutTooltip: _propTypes2.default.string,
    gtkyApproved: _propTypes2.default.bool
  };

  return section4Factory;
};

exports.default = section4FactoryFactory;