'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _InvestmentCardBlurb = require('../components/InvestmentCardBlurb');

var _InvestmentCardBlurb2 = _interopRequireDefault(_InvestmentCardBlurb);

var _InvestmentCardCalloutsX = require('../components/InvestmentCardCalloutsX3');

var _InvestmentCardCalloutsX2 = _interopRequireDefault(_InvestmentCardCalloutsX);

var _InvestmentCardEmptyPlaceholder = require('../components/InvestmentCardEmptyPlaceholder');

var _InvestmentCardEmptyPlaceholder2 = _interopRequireDefault(_InvestmentCardEmptyPlaceholder);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var section5FactoryFactory = function section5FactoryFactory(props) {
  var blurb = props.blurb,
      accreditationRoleStatus = props.accreditationRoleStatus,
      status = props.status,
      minimum = props.minimum,
      payoutLabel = props.payoutLabel,
      targetHoldMin = props.targetHoldMin,
      targetHoldMax = props.targetHoldMax,
      reit = props.reit,
      propertyType = props.propertyType,
      investmentTypeDisplay = props.investmentTypeDisplay,
      gtkyApproved = props.gtkyApproved,
      returnObjective = props.returnObjective,
      irrObjective = props.irrObjective;


  var section5Factory = function section5Factory() {
    if (status === 'status-30-active') {
      return _react2.default.createElement(_InvestmentCardEmptyPlaceholder2.default, null);
    }

    if (status === 'status-40-closed') {
      if (!gtkyApproved) {
        return _react2.default.createElement(_InvestmentCardEmptyPlaceholder2.default, null);
      }
      return _react2.default.createElement(_InvestmentCardCalloutsX2.default, {
        gtkyApproved: gtkyApproved,
        investmentTypeDisplay: investmentTypeDisplay,
        minimum: minimum,
        payoutLabel: payoutLabel,
        propertyType: propertyType,
        targetHoldMin: targetHoldMin,
        targetHoldMax: targetHoldMax,
        reit: reit,
        status: status,
        returnObjective: returnObjective,
        irrObjective: irrObjective
      });
    }
    return _react2.default.createElement(_InvestmentCardBlurb2.default, {
      blurb: blurb
    });
  };

  section5Factory.propTypes = {
    blurb: _propTypes2.default.string,
    status: _propTypes2.default.string
  };

  return section5Factory;
};

exports.default = section5FactoryFactory;