'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _InvestmentCardEmptyPlaceholder = require('../components/InvestmentCardEmptyPlaceholder');

var _InvestmentCardEmptyPlaceholder2 = _interopRequireDefault(_InvestmentCardEmptyPlaceholder);

var _InvestmentCardCalloutsX = require('../components/InvestmentCardCalloutsX2');

var _InvestmentCardCalloutsX2 = _interopRequireDefault(_InvestmentCardCalloutsX);

var _InvestmentCardDataList = require('../components/InvestmentCardDataList');

var _InvestmentCardDataList2 = _interopRequireDefault(_InvestmentCardDataList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var section6FactoryFactory = function section6FactoryFactory(props) {
  var section6Factory = function section6Factory() {
    var reit = props.reit,
        investmentGoal = props.investmentGoal,
        status = props.status,
        propertyType = props.propertyType,
        fundedDate = props.fundedDate,
        completedDate = props.completedDate,
        amountInvested = props.amountInvested,
        accreditationRoleStatus = props.accreditationRoleStatus,
        progressBar = props.progressBar,
        gtkyApproved = props.gtkyApproved,
        investmentTypeDisplay = props.investmentTypeDisplay,
        actualIrr = props.actualIrr;


    if (reit || status === 'status-20-coming-soon' || accreditationRoleStatus === 'Accredited' && status === 'status-30-active' || status === 'status-15-pledge' || !gtkyApproved && status === 'status-30-active') {
      return _react2.default.createElement(_InvestmentCardEmptyPlaceholder2.default, null);
    }

    if (status === 'status-40-closed') {
      return _react2.default.createElement(_InvestmentCardDataList2.default, {
        propertyType: propertyType,
        fundedDate: fundedDate,
        completedDate: completedDate,
        amountInvested: amountInvested,
        gtkyApproved: gtkyApproved,
        investmentTypeDisplay: investmentTypeDisplay,
        actualIrr: actualIrr
      });
    }
    return _react2.default.createElement(_InvestmentCardCalloutsX2.default, {
      investmentGoal: investmentGoal,
      progressBar: progressBar
    });
  };

  section6Factory.propTypes = {
    reit: _propTypes2.default.bool,
    investmentGoal: _propTypes2.default.string,
    status: _propTypes2.default.string,
    propertyType: _propTypes2.default.string,
    fundedDate: _propTypes2.default.string,
    completedDate: _propTypes2.default.string,
    amountInvested: _propTypes2.default.string,
    accreditationRoleStatus: _propTypes2.default.string,
    progressBar: _propTypes2.default.object,
    gtkyApproved: _propTypes2.default.bool,
    actualIrr: _propTypes2.default.number
  };

  return section6Factory;
};

exports.default = section6FactoryFactory;