'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _InvestmentCardViewDetails = require('../components/InvestmentCardViewDetails');

var _InvestmentCardViewDetails2 = _interopRequireDefault(_InvestmentCardViewDetails);

var _InvestmentCardFlag = require('../components/InvestmentCardFlag');

var _InvestmentCardFlag2 = _interopRequireDefault(_InvestmentCardFlag);

var _InvestmentCardEmptyPlaceholder = require('../components/InvestmentCardEmptyPlaceholder');

var _InvestmentCardEmptyPlaceholder2 = _interopRequireDefault(_InvestmentCardEmptyPlaceholder);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var section7FactoryFactory = function section7FactoryFactory(props) {
  var pathAlias = props.pathAlias,
      status = props.status,
      gtkyApproved = props.gtkyApproved,
      watchlist = props.watchlist;


  var section7Factory = function section7Factory() {
    if (status === 'status-40-closed' || status === 'status-30-active' && !gtkyApproved) {
      return _react2.default.createElement(_InvestmentCardEmptyPlaceholder2.default, null);
    }
    if (status === 'status-20-coming-soon') {
      return _react2.default.createElement(_InvestmentCardFlag2.default, {
        text: watchlist.text,
        handleClick: watchlist.handleClick,
        loading: watchlist.loading
      });
    }
    return _react2.default.createElement(_InvestmentCardViewDetails2.default, {
      pathAlias: pathAlias
    });
  };

  section7Factory.propTypes = {
    pathAlias: _propTypes2.default.string
  };

  return section7Factory;
};

exports.default = section7FactoryFactory;