'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../../../');

var _TabFilterItem = require('./TabFilterItem');

var _TabFilterItem2 = _interopRequireDefault(_TabFilterItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var TabFilter = function (_React$Component) {
  _inherits(TabFilter, _React$Component);

  function TabFilter(props) {
    _classCallCheck(this, TabFilter);

    var _this = _possibleConstructorReturn(this, (TabFilter.__proto__ || Object.getPrototypeOf(TabFilter)).call(this, props));

    _this.state = {
      hoveredFilterValue: ''
    };

    _this.handleMouseEnter = _this.handleMouseEnter.bind(_this);
    _this.handleMouseLeave = _this.handleMouseLeave.bind(_this);
    return _this;
  }

  _createClass(TabFilter, [{
    key: 'handleMouseEnter',
    value: function handleMouseEnter(labelValue) {
      this.setState({
        hoveredFilterValue: labelValue
      });
    }
  }, {
    key: 'handleMouseLeave',
    value: function handleMouseLeave() {
      this.setState({
        hoveredFilterValue: ''
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          filterItems = _props.filterItems,
          selectedFilterValue = _props.selectedFilterValue,
          updateSelectedFilterValue = _props.updateSelectedFilterValue,
          id = _props.id;
      var hoveredFilterValue = this.state.hoveredFilterValue;


      return _react2.default.createElement(
        _.ExtendedFlex,
        {
          borderBottom: 1,
          borderColor: 'gray.7',
          justify: 'center',
          pb: 40,
          w: 1
        },
        _react2.default.createElement(
          _.Flex,
          null,
          filterItems.map(function (label) {
            var isActive = label.value === selectedFilterValue || label.value === hoveredFilterValue;
            return _react2.default.createElement(_TabFilterItem2.default, {
              isActive: isActive,
              id: id,
              label: label,
              handleClick: updateSelectedFilterValue,
              handleMouseEnter: _this2.handleMouseEnter,
              handleMouseLeave: _this2.handleMouseLeave
            });
          })
        )
      );
    }
  }]);

  return TabFilter;
}(_react2.default.Component);

TabFilter.propTypes = {
  filterItems: _propTypes2.default.arrayOf(_propTypes2.default.object),
  selectedFilterValue: _propTypes2.default.string,
  updateSelectedFilterValue: _propTypes2.default.func,
  id: _propTypes2.default.string
};

exports.default = TabFilter;