'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('../../');

var _TabFilter = require('./components/TabFilter');

var _TabFilter2 = _interopRequireDefault(_TabFilter);

var _SelectFilter = require('./components/SelectFilter');

var _SelectFilter2 = _interopRequireDefault(_SelectFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ResponsiveFilter = function ResponsiveFilter(_ref) {
  var filterItems = _ref.filterItems,
      selectedFilterValue = _ref.selectedFilterValue,
      updateSelectedFilterValue = _ref.updateSelectedFilterValue,
      type = _ref.type,
      id = _ref.id;

  var types = {
    both: function both() {
      return _react2.default.createElement(
        _.Box,
        {
          px: [40, 20, 20, 20, 0],
          pt: [20, 40]
        },
        _react2.default.createElement(
          _.ExtendedBox,
          {
            display: ['none', 'none', 'none', 'block']
          },
          _react2.default.createElement(_TabFilter2.default, {
            id: id,
            filterItems: filterItems,
            selectedFilterValue: selectedFilterValue,
            updateSelectedFilterValue: updateSelectedFilterValue
          })
        ),
        _react2.default.createElement(
          _.ExtendedBox,
          {
            display: ['block', 'block', 'block', 'none']
          },
          _react2.default.createElement(_SelectFilter2.default, {
            id: id,
            filterItems: filterItems,
            selectedFilterValue: selectedFilterValue,
            updateSelectedFilterValue: updateSelectedFilterValue
          })
        )
      );
    },
    selectOnly: function selectOnly() {
      return _react2.default.createElement(
        _.Box,
        {
          px: [40, 20],
          pt: [20, 40]
        },
        _react2.default.createElement(_SelectFilter2.default, {
          id: id,
          filterItems: filterItems,
          selectedFilterValue: selectedFilterValue,
          updateSelectedFilterValue: updateSelectedFilterValue
        })
      );
    },
    tabsOnly: function tabsOnly() {
      return _react2.default.createElement(
        _.Box,
        {
          w: 1,
          px: [40, 20],
          pt: [20, 40]
        },
        _react2.default.createElement(_TabFilter2.default, {
          filterItems: filterItems,
          id: id,
          selectedFilterValue: selectedFilterValue,
          updateSelectedFilterValue: updateSelectedFilterValue
        })
      );
    }
  };
  return types[type]();
};

ResponsiveFilter.propTypes = {
  filterItems: _propTypes2.default.arrayOf(_propTypes2.default.object),
  selectedFilterValue: _propTypes2.default.string,
  updateSelectedFilterValue: _propTypes2.default.func,
  type: _propTypes2.default.oneOf(['both', 'selectOnly', 'tabsOnly']),
  id: _propTypes2.default.string
};

ResponsiveFilter.defaultProps = {
  type: 'both'
};

exports.default = ResponsiveFilter;