'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n    ', '\n  '], ['\n    ', '\n  ']),
    _templateObject2 = _taggedTemplateLiteral(['\n  animation: ', ' ', ' ', ' ', ';\n  animation-fill-mode: ', ';\n'], ['\n  animation: ', ' ', ' ', ' ', ';\n  animation-fill-mode: ', ';\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _rmReactAnimations = require('rm-react-animations');

var animations = _interopRequireWildcard(_rmReactAnimations);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var mergeAnimations = function mergeAnimations(animationArray) {
  return animationArray.reduce(function (prev, next, index) {
    return animations.merge(index ? prev : animations[prev], animations[next]);
  });
};

var frames = function frames(name) {
  var selectedAnimations = name.split(' ');
  return (0, _styledComponents.keyframes)(_templateObject, selectedAnimations.length > 1 ? mergeAnimations(selectedAnimations) : animations[name]);
};

var Animation = _styledComponents2.default.div(_templateObject2, function (_ref) {
  var name = _ref.name;
  return frames(name);
}, function (_ref2) {
  var duration = _ref2.duration;
  return duration || '1s';
}, function (_ref3) {
  var timing = _ref3.timing;
  return timing || 'ease';
}, function (_ref4) {
  var delay = _ref4.delay;
  return delay || '0s';
}, function (_ref5) {
  var fillMode = _ref5.fillMode;
  return fillMode || 'forwards';
});

exports.default = Animation;