'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteral(['\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  visibility: ', ';\n  opacity: ', ';\n  z-index: ', ';\n  overflow-x: ', ';\n  overflow-y: ', ';\n  box-sizing: ', ';\n  transition: ', ';\n  ', '\n\n  &:hover {\n    box-shadow: ', ';\n    cursor: ', ';\n    ', '\n  }\n'], ['\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  ', '\n  visibility: ', ';\n  opacity: ', ';\n  z-index: ', ';\n  overflow-x: ', ';\n  overflow-y: ', ';\n  box-sizing: ', ';\n  transition: ', ';\n  ', '\n\n  &:hover {\n    box-shadow: ', ';\n    cursor: ', ';\n    ', '\n  }\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledSystem = require('styled-system');

var _cleanElement = require('clean-element');

var _cleanElement2 = _interopRequireDefault(_cleanElement);

var _style = require('../helpers/style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var CleanBox = (0, _cleanElement2.default)('div');

CleanBox.propTypes = _extends({}, _styledSystem.propTypes.borderColor, _styledSystem.propTypes.maxWidth, _styledSystem.propTypes.borderBottom, _styledSystem.propTypes.borderTop, _styledSystem.propTypes.borderRight, _styledSystem.propTypes.borderLeft, _styledSystem.propTypes.zIndex, _styledSystem.propTypes.maxWidth, _styledSystem.propTypes.minWidth, _styledSystem.propTypes.minHeight, _styledSystem.propTypes.maxHeight, _styledSystem.propTypes.borderRadius, _styledSystem.propTypes.backgroundImage, _styledSystem.propTypes.backgroundSize, _styledSystem.propTypes.backgroundPosition, _styledSystem.propTypes.backgroundRepeat, _styledSystem.propTypes.textAlign, {
  boxSizing: _propTypes2.default.string,
  hover: _propTypes2.default.bool,
  hoverShadow: _propTypes2.default.bool,
  hoverRemoveFilter: _propTypes2.default.bool,
  overflowX: _propTypes2.default.string,
  overflowY: _propTypes2.default.string,
  rbgSize: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.array, _propTypes2.default.number])
});

var ExtendedBox = (0, _styledComponents2.default)(CleanBox)(_templateObject, _styledSystem.space, _styledSystem.width, _style.height, _styledSystem.borders, _styledSystem.borderColor, _styledSystem.color, _styledSystem.maxWidth, _styledSystem.minWidth, _styledSystem.minHeight, _styledSystem.maxHeight, _styledSystem.borderRadius, _styledSystem.backgroundImage, _styledSystem.backgroundSize, _style.responsiveBackgroundSize, _styledSystem.backgroundPosition, _styledSystem.backgroundRepeat, _styledSystem.display, _styledSystem.top, _styledSystem.right, _styledSystem.bottom, _styledSystem.left, _styledSystem.position, _styledSystem.alignSelf, function (props) {
  return props.visibility || 'visible';
}, function (props) {
  return props.opacity || '1';
}, function (props) {
  return props.zIndex || 'auto';
}, function (props) {
  return props.overflowX || 'visible';
}, function (props) {
  return props.overflowY || 'visible';
}, function (props) {
  return props.boxSizing || 'content-box';
}, function (props) {
  return props.transition || 'all 0s 0s ease';
}, function (props) {
  return props.transform ? 'transform: ' + props.transform + ';' : null;
}, function (props) {
  return props.hoverShadow ? hoverShadowEffect : 'none';
}, function (props) {
  return props.hover ? 'pointer' : 'auto';
}, function (props) {
  return props.hoverRemoveFilter ? hoverRemoveFilterEffect : '';
});

// IMPORTANT: ${props => (props.transform ? `transform: ${props.transform};` : null)} must remain
// because fucking IE messes up absolutely positioned items if its parent has a css transform
// attribute set.

exports.default = ExtendedBox;