import React from 'react';
import PropTypes from 'prop-types';

import numeral from 'numeral';

class Numeral extends React.PureComponent {
  constructor(props) {
    super(props);
    this.state = {

    };
    this.registerFormatter();
  }

  // Register our formatter.
  registerFormatter() {
    if (!numeral['locales']['en']['abbreviations']['million'] !== 'mm') {
      numeral['locales']['en']['abbreviations']['million'] = 'mm';
    }
  }

  render() {
    const {
      value,
      format,
      upper,
    } = this.props;

    const result = numeral(value).format(format);

    return (
      <React.Fragment>
        { upper ? result.toUpperCase() : result }
      </React.Fragment>
    );
  }
}

Numeral.propTypes = {
  value: PropTypes.number,
  format: PropTypes.string,
  upper: PropTypes.bool,
};

Numeral.defaultProps = {
  upper: true,
};

export default Numeral;
