import React from 'react';
import PropTypes from 'prop-types';

import {
  ExtendedBox,
  Body,
} from '../../../';

class AccordionReveal extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  render() {
    const {
      isActive,
      content,
      contentIsHtml,
    } = this.props;

    return contentIsHtml ?
      <ExtendedBox
        maxHeight={isActive ? 10000 : 0}
        px={['10%', 20]}
        overflowY="hidden"
        opacity={isActive ? '1' : '0'}
        transition={`opacity ${isActive ? '0.6s 0.1s' : '0s'} linear`}
        dangerouslySetInnerHTML={{ __html: content }}
        className="kc"
      /> :
      <ExtendedBox
        maxHeight={isActive ? 10000 : 0}
        px={['10%', 20]}
        overflowY="hidden"
        opacity={isActive ? '1' : '0'}
        transition={`opacity ${isActive ? '0.6s 0.1s' : '0s'} linear`}
      >
        <Body
          type="B1"
          color="black"
          m={0}
          display="block"
          mt={20}
        >
          {content}
        </Body>
      </ExtendedBox>;
  }
}

AccordionReveal.propTypes = {
  isActive: PropTypes.bool,
  content: PropTypes.string,
  contentIsHtml: PropTypes.bool,
};

export default AccordionReveal;
