import React from 'react';
import { storiesOf } from '@storybook/react';

import {
  Accordion,
  AccordionWithTopic,
} from '../src';

const items = [
  {
    id: 0,
    header: 'Accordion Header',
    content: 'Accordion content',
  },
  {
    id: 1,
    header: 'Accordion Header',
    content: 'Accordion content',
  },
  {
    id: 2,
    header: 'Accordion Header',
    content: 'Accordion content',
  },
  {
    id: 3,
    header: 'Accordion Header',
    content: 'Accordion content',
  },
];

const itemsWithTopics = [
  {
    id: 0,
    topic: 'Topic1',
    items: [
      {
        id: 0,
        header: 'Accordion Header',
        content: 'Accordion content',
      },
      {
        id: 2,
        header: 'Accordion Header',
        content: 'Accordion content',
      },
    ],
  },
  {
    id: 1,
    topic: 'Topic2',
    items: [
      {
        id: 0,
        header: 'Accordion Header',
        content: 'Accordion content',
      },
      {
        id: 2,
        header: 'Accordion Header',
        content: 'Accordion content',
      },
    ],
  },
];

storiesOf('Accordion', module)
  .add('Accordion', () => (
    <Accordion
      items={items}
    />
  ))
  .add('AccordionWithTopic', () => (
    <AccordionWithTopic
      items={itemsWithTopics}
    />
  ));
