import React from 'react';
import { storiesOf } from '@storybook/react';

import { MiniEssay } from '../src';

const paragraphsOfTextFirst = [
  `Takes in an array of strings, formats and outputs them as a series of
  centered up paragraphs. Responsive widths, spacing between paragraphs, all that.`,
  `Can take an arbitrary number of paragraphs, so long as there is at least one.
  Header and SubHeader are both optional, but spacing might get weird if you use just subHeader,
  likely will need someone to come back and touch the code if we want it truly optional.`,
  `NOTE: This really is only intended for text that takes up a whole panel with a single column.
  If your use case needs the panel broken up into two (or more) chunks, you're going to either
  need to make a new component or refactor this.`,
];

const paragraphsOfTextSecond = [
  `Here's the same component, but choosing not to use a header or a subheader.
  Just gives the paragraph structure by itself.`,
  `Lorem ipsum dolor sit amet, consectetur adipiscing elit.
  In eget molestie dui, eu facilisis nisl. Proin vitae pharetra lacus.
  Phasellus sit amet erat tempor, congue metus nec, ultricies massa.`,
  'A very short "paragraph".',
  `Vivamus dapibus nisl massa, et elementum nisi ultricies non.
  Duis convallis dapibus nibh, eu aliquet purus pellentesque et.
  Donec placerat euismod sem a iaculis.
  Morbi suscipit hendrerit nisi.
  Aliquam hendrerit vitae lorem et pellentesque.`,
];

storiesOf('MiniEssay', module)
  .add('MiniEssay', () => (
    <MiniEssay
      header="Some kind of headline"
      subHeader="and a subheadline below!"
      paragraphsOfText={paragraphsOfTextFirst}
    />
  ))
  .add('MiniEssay with no headlines', () => (
    <MiniEssay
      paragraphsOfText={paragraphsOfTextSecond}
    />
  ));
